About the Flutter Apprentice category

This is for all discussion related to our book “Flutter Apprentice”, available here: https://www.raywenderlich.com/books/flutter-apprentice

1 Like

May i please know, when full edition of this book will release? I have mostly joined subscription for this & it is incomplete :frowning:

1 Like

Most importantly, Google built the Dart VM into the Chrome browser, allowing web apps written in Dart to run at native speeds.
what???

Question on 2nd Ed chapter one. Getting Started. When I run the default app I get some weird error looking messages in the run window. The app DOES BUILD and run and build though. Below are the warning messages. What do they mean and is there a way to get rid of them?

Launching lib/main.dart on AOSP on IA Emulator in debug mode…
Running Gradle task ‘assembleDebug’…
Warning: Mapping new ns http://schemas.android.com/repository/android/common/02 to old ns http://schemas.android.com/repository/android/common/01
Warning: Mapping new ns http://schemas.android.com/repository/android/generic/02 to old ns http://schemas.android.com/repository/android/generic/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/addon2/02 to old ns http://schemas.android.com/sdk/android/repo/addon2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/repository2/02 to old ns http://schemas.android.com/sdk/android/repo/repository2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/sys-img2/02 to old ns http://schemas.android.com/sdk/android/repo/sys-img2/01

It should be related to the version of gradle.
See android - Build Warning : Mapping new ns to old ns - Stack Overflow

I followed the tip I found on Stack Overflow and it worked for me. I had to update 2 files and I also updated my Android SDKs to include 31 and 32. Below are the files I changed in the project. Change the numbers after the gradle word to what I did. Dec 31, 2021. Running Android Studio Artic Fox 2020.3.1 Patch 4. Flutter 2.8.1, Dart 2.15.1. Mac Monterey 12.1

(File)### gradle-wrapper.properties

distributionUrl=https\://services.gradle.org/distributions/gradle-7.3-all.zip

(File)### /android/build.gradle

dependencies {
    classpath 'com.android.tools.build:gradle:7.2.0-alpha06'
}

Thanks,

*Dave

It seems that these settings only effected the current project, not the next one you make. How would I make them STICK for the next project as well?

Have you tried changing these settings in Android Studio? How to Update Gradle in Android Studio? - GeeksforGeeks